interface colunm {
  title: string;
  dataIndex: string;
  width?: number;
  slots?: any;
  sorter?: any;
  children?: Array<colunm>;
  ellipsis?: boolean;
  sortDirections?: (string | false)[];
  fixed?: string;
}
export const TableColumnOfPutBooks = [
  {
    title: "ID",
    dataIndex: "id",
    width: 100,
  },
  {
    title: "公众号名称",
    dataIndex: "official_name",
    width: 150,
    slots: { customRender: "official_name" },
  },
  {
    title: "书籍名称",
    dataIndex: "book_name",
  },
  {
    title: "流量平台",
    dataIndex: "delivery_platform",
    width: 120,
  },
  {
    title: "开始时间/结束时间",
    dataIndex: "start_time",
    width: 200,
    slots: { customRender: "time" },
  },
  {
    title: "监测链接",
    dataIndex: "monitor_link",
    slots: { customRender: "link" },
    width: 120,
  },
  {
    title: "操作",
    key: "operator",
    slots: { customRender: "operator" },
    width: 100,
  },
];

export const TableColumnOfPutAdAccount = [
  {
    title: "广告主名称",
    dataIndex: "advertiser_name",
    key: "advertiser_name",
    width: 200,
    ellipsis: true,
    slots: { customRender: "advertiserName" },
  },
  // {
  //   title: "广告主邮箱",
  //   dataIndex: "account_name",
  //   key: "account_name",
  //   ellipsis: true,
  // },
  {
    title: "所属账户",
    dataIndex: "email",
    key: "email",
    ellipsis: true,
    slots: { customRender: "account" },
  },
  {
    title: "平台",
    dataIndex: "delivery_platform",
    key: "delivery_platform",
    ellipsis: true,
  },
  {
    title: "推广员",
    dataIndex: "user_name",
    key: "user_name",
  },
  {
    title: "状态",
    dataIndex: "status",
    key: "status",
  },
  {
    title: "是否同步",
    key: "operator",
    slots: { customRender: "operator" },
    width: 100,
  },
];

export const TableColumnOfPutData = [
  {
    fixed: "left",
    title: "日期",
    dataIndex: "date",
    width: 100,
    fiexd: "left",
  },
  {
    title: "公众号名称",
    dataIndex: "official_name",
    width: 150,
    ellipsis: true,
    fiexd: "left",
  },
  {
    title: "书名",
    dataIndex: "book_name",
    ellipsis: true,
    fiexd: "left",
  },
  {
    title: "消耗(元)",
    dataIndex: "cost",
    fiexd: "left",
  },
  {
    title: "新增注册用户",
    dataIndex: "register_num",
  },
  {
    title: "流量平台",
    dataIndex: "delivery_platform",
    ellipsis: true,
  },
  {
    title: "注册成本(元)",
    dataIndex: "register_cost",
  },
  {
    title: "支付粉价(元)",
    dataIndex: "pay_fans_cost",
  },
  {
    title: "累计回本(元)",
    dataIndex: "recovery_rate",
  },
  {
    fixed: "right",
    title: "24小时回本率",
    dataIndex: "h24_recovery_rate",
    width: 120,
  },
  {
    fixed: "right",
    title: "3天回本率",
    dataIndex: "d3_recovery_rate",
    width: 100,
  },
  {
    fixed: "right",
    title: "7天回本率",
    dataIndex: "d7_recovery_rate",
    width: 100,
  },
  {
    fixed: "right",
    title: "30天回本率",
    dataIndex: "d30_recovery_rate",
    width: 120,
  },
];

export const TableColumnOfPutLog = [
  {
    title: "操作时间",
    key: "create_time",
    dataIndex: "create_time",
    width: 200,
  },
  {
    title: "计划id",
    key: "object_id",
    dataIndex: "object_id",
    width: 200,
  },
  {
    title: "类型",
    key: "object_type",
    dataIndex: "object_type",
    width: 200,
  },
  {
    title: "操作者",
    key: "operator",
    dataIndex: "operator",
    width: 200,
  },
  {
    title: "操作ip",
    key: "opt_ip",
    dataIndex: "opt_ip",
    width: 200,
  },
  {
    title: "日志",
    key: "content_log",
    width: 500,
    slots: { customRender: "log" },
  },
];

export const TableMoreStat = [
  {
    title: "公众号id",
    dataIndex: "official_id",
    width: 100,
  },
  {
    title: "公众号名",
    dataIndex: "official_name",
    width: 100,
  },
  {
    title: "书名",
    dataIndex: "book_name",
    width: 200,
  },
  {
    title: "书籍bid",
    dataIndex: "bid",
    width: 200,
  },
  {
    title: "日期",
    dataIndex: "date",
    width: 100,
  },
  {
    title: "消耗（元）",
    dataIndex: "cost",
    width: 100,
  },
  {
    title: "新增注册",
    dataIndex: "register_num",
    width: 100,
  },
  {
    title: "流量平台",
    dataIndex: "delivery_platform",
    width: 100,
    ellipsis: true,
  },
  {
    title: "注册成本",
    dataIndex: "register_cost",
    width: 100,
  },
  {
    title: "支付粉价",
    dataIndex: "pay_fans_cost",
    width: 100,
  },
  {
    title: "累计回本",
    dataIndex: "recovery_rate",
    width: 100,
  },
  {
    title: "24小时回本率",
    dataIndex: "d1_recovery_rate",
    width: 100,
  },
  {
    title: "3天回本率",
    dataIndex: "d3_recovery_rate",
    width: 100,
  },
  {
    title: "7天回本率",
    dataIndex: "d7_recovery_rate",
    width: 100,
  },
  {
    title: "30天回本率",
    dataIndex: "d30_recovery_rate",
    width: 100,
  },
];

export const TableColumnOfMoreStat = [
  {
    fixed: "left",
    title: "日期",
    dataIndex: "date",
    width: 100,
  },
  {
    fixed: "left",
    title: "公众号名称",
    dataIndex: "official_name",
    ellipsis: true,
    width: 150,
  },
  {
    fixed: "left",
    title: "书名",
    dataIndex: "book_name",
  },
  {
    fixed: "left",
    title: "bid",
    dataIndex: "bid",
  },
  { title: "1日回本率", dataIndex: "d1_recovery_rate", width: 150 },
  { title: "2日回本率", dataIndex: "d2_recovery_rate", width: 150 },
  { title: "3日回本率", dataIndex: "d3_recovery_rate", width: 150 },
  { title: "4日回本率", dataIndex: "d4_recovery_rate", width: 150 },
  { title: "5日回本率", dataIndex: "d5_recovery_rate", width: 150 },
  { title: "6日回本率", dataIndex: "d6_recovery_rate", width: 150 },
  { title: "7日回本率", dataIndex: "d7_recovery_rate", width: 150 },
  { title: "8日回本率", dataIndex: "d8_recovery_rate", width: 150 },
  { title: "9日回本率", dataIndex: "d9_recovery_rate", width: 150 },
  { title: "10日回本率", dataIndex: "d10_recovery_rate", width: 150 },
  { title: "11日回本率", dataIndex: "d11_recovery_rate", width: 150 },
  { title: "12日回本率", dataIndex: "d12_recovery_rate", width: 150 },
  { title: "13日回本率", dataIndex: "d13_recovery_rate", width: 150 },
  { title: "14日回本率", dataIndex: "d14_recovery_rate", width: 150 },
  { title: "15日回本率", dataIndex: "d15_recovery_rate", width: 150 },
  { title: "16日回本率", dataIndex: "d16_recovery_rate", width: 150 },
  { title: "17日回本率", dataIndex: "d17_recovery_rate", width: 150 },
  { title: "18日回本率", dataIndex: "d18_recovery_rate", width: 150 },
  { title: "19日回本率", dataIndex: "d19_recovery_rate", width: 150 },
  { title: "20日回本率", dataIndex: "d20_recovery_rate", width: 150 },
  { title: "21日回本率", dataIndex: "d21_recovery_rate", width: 150 },
  { title: "22日回本率", dataIndex: "d22_recovery_rate", width: 150 },
  { title: "23日回本率", dataIndex: "d23_recovery_rate", width: 150 },
  { title: "24日回本率", dataIndex: "d24_recovery_rate", width: 150 },
  { title: "25日回本率", dataIndex: "d25_recovery_rate", width: 150 },
  { title: "26日回本率", dataIndex: "d26_recovery_rate", width: 150 },
  { title: "27日回本率", dataIndex: "d27_recovery_rate", width: 150 },
  { title: "28日回本率", dataIndex: "d28_recovery_rate", width: 150 },
  { title: "29日回本率", dataIndex: "d29_recovery_rate", width: 150 },
  { title: "30日回本率", dataIndex: "d30_recovery_rate", width: 150 },
  { title: "31日回本率", dataIndex: "d31_recovery_rate", width: 150 },
  { title: "32日回本率", dataIndex: "d32_recovery_rate", width: 150 },
  { title: "33日回本率", dataIndex: "d33_recovery_rate", width: 150 },
  { title: "34日回本率", dataIndex: "d34_recovery_rate", width: 150 },
  { title: "35日回本率", dataIndex: "d35_recovery_rate", width: 150 },
  { title: "36日回本率", dataIndex: "d36_recovery_rate", width: 150 },
  { title: "37日回本率", dataIndex: "d37_recovery_rate", width: 150 },
  { title: "38日回本率", dataIndex: "d38_recovery_rate", width: 150 },
  { title: "39日回本率", dataIndex: "d39_recovery_rate", width: 150 },
  { title: "40日回本率", dataIndex: "d40_recovery_rate", width: 150 },
  { title: "41日回本率", dataIndex: "d41_recovery_rate", width: 150 },
  { title: "42日回本率", dataIndex: "d42_recovery_rate", width: 150 },
  { title: "43日回本率", dataIndex: "d43_recovery_rate", width: 150 },
  { title: "44日回本率", dataIndex: "d44_recovery_rate", width: 150 },
  { title: "45日回本率", dataIndex: "d45_recovery_rate", width: 150 },
  { title: "46日回本率", dataIndex: "d46_recovery_rate", width: 150 },
  { title: "47日回本率", dataIndex: "d47_recovery_rate", width: 150 },
  { title: "48日回本率", dataIndex: "d48_recovery_rate", width: 150 },
  { title: "49日回本率", dataIndex: "d49_recovery_rate", width: 150 },
  { title: "50日回本率", dataIndex: "d50_recovery_rate", width: 150 },
  { title: "51日回本率", dataIndex: "d51_recovery_rate", width: 150 },
  { title: "52日回本率", dataIndex: "d52_recovery_rate", width: 150 },
  { title: "53日回本率", dataIndex: "d53_recovery_rate", width: 150 },
  { title: "54日回本率", dataIndex: "d54_recovery_rate", width: 150 },
  { title: "55日回本率", dataIndex: "d55_recovery_rate", width: 150 },
  { title: "56日回本率", dataIndex: "d56_recovery_rate", width: 150 },
  { title: "57日回本率", dataIndex: "d57_recovery_rate", width: 150 },
  { title: "58日回本率", dataIndex: "d58_recovery_rate", width: 150 },
  { title: "59日回本率", dataIndex: "d59_recovery_rate", width: 150 },
  { title: "60日回本率", dataIndex: "d60_recovery_rate", width: 150 },
  { title: "61日回本率", dataIndex: "d61_recovery_rate", width: 150 },
  { title: "62日回本率", dataIndex: "d62_recovery_rate", width: 150 },
  { title: "63日回本率", dataIndex: "d63_recovery_rate", width: 150 },
  { title: "64日回本率", dataIndex: "d64_recovery_rate", width: 150 },
  { title: "65日回本率", dataIndex: "d65_recovery_rate", width: 150 },
  { title: "66日回本率", dataIndex: "d66_recovery_rate", width: 150 },
  { title: "67日回本率", dataIndex: "d67_recovery_rate", width: 150 },
  { title: "68日回本率", dataIndex: "d68_recovery_rate", width: 150 },
  { title: "69日回本率", dataIndex: "d69_recovery_rate", width: 150 },
  { title: "70日回本率", dataIndex: "d70_recovery_rate", width: 150 },
  { title: "71日回本率", dataIndex: "d71_recovery_rate", width: 150 },
  { title: "72日回本率", dataIndex: "d72_recovery_rate", width: 150 },
  { title: "73日回本率", dataIndex: "d73_recovery_rate", width: 150 },
  { title: "74日回本率", dataIndex: "d74_recovery_rate", width: 150 },
  { title: "75日回本率", dataIndex: "d75_recovery_rate", width: 150 },
  { title: "76日回本率", dataIndex: "d76_recovery_rate", width: 150 },
  { title: "77日回本率", dataIndex: "d77_recovery_rate", width: 150 },
  { title: "78日回本率", dataIndex: "d78_recovery_rate", width: 150 },
  { title: "79日回本率", dataIndex: "d79_recovery_rate", width: 150 },
  { title: "80日回本率", dataIndex: "d80_recovery_rate", width: 150 },
  { title: "81日回本率", dataIndex: "d81_recovery_rate", width: 150 },
  { title: "82日回本率", dataIndex: "d82_recovery_rate", width: 150 },
  { title: "83日回本率", dataIndex: "d83_recovery_rate", width: 150 },
  { title: "84日回本率", dataIndex: "d84_recovery_rate", width: 150 },
  { title: "85日回本率", dataIndex: "d85_recovery_rate", width: 150 },
  { title: "86日回本率", dataIndex: "d86_recovery_rate", width: 150 },
  { title: "87日回本率", dataIndex: "d87_recovery_rate", width: 150 },
  { title: "88日回本率", dataIndex: "d88_recovery_rate", width: 150 },
  { title: "89日回本率", dataIndex: "d89_recovery_rate", width: 150 },
  { title: "90日回本率", dataIndex: "d90_recovery_rate", width: 150 },
  { title: "91日回本率", dataIndex: "d91_recovery_rate", width: 150 },
  { title: "92日回本率", dataIndex: "d92_recovery_rate", width: 150 },
  { title: "93日回本率", dataIndex: "d93_recovery_rate", width: 150 },
  { title: "94日回本率", dataIndex: "d94_recovery_rate", width: 150 },
  { title: "95日回本率", dataIndex: "d95_recovery_rate", width: 150 },
  { title: "96日回本率", dataIndex: "d96_recovery_rate", width: 150 },
  { title: "97日回本率", dataIndex: "d97_recovery_rate", width: 150 },
  { title: "98日回本率", dataIndex: "d98_recovery_rate", width: 150 },
  { title: "99日回本率", dataIndex: "d99_recovery_rate", width: 150 },
  { title: "100日回本率", dataIndex: "d100_recovery_rate", width: 150 },
  { title: "101日回本率", dataIndex: "d101_recovery_rate", width: 150 },
  { title: "102日回本率", dataIndex: "d102_recovery_rate", width: 150 },
  { title: "103日回本率", dataIndex: "d103_recovery_rate", width: 150 },
  { title: "104日回本率", dataIndex: "d104_recovery_rate", width: 150 },
  { title: "105日回本率", dataIndex: "d105_recovery_rate", width: 150 },
  { title: "106日回本率", dataIndex: "d106_recovery_rate", width: 150 },
  { title: "107日回本率", dataIndex: "d107_recovery_rate", width: 150 },
  { title: "108日回本率", dataIndex: "d108_recovery_rate", width: 150 },
  { title: "109日回本率", dataIndex: "d109_recovery_rate", width: 150 },
  { title: "110日回本率", dataIndex: "d110_recovery_rate", width: 150 },
  { title: "111日回本率", dataIndex: "d111_recovery_rate", width: 150 },
  { title: "112日回本率", dataIndex: "d112_recovery_rate", width: 150 },
  { title: "113日回本率", dataIndex: "d113_recovery_rate", width: 150 },
  { title: "114日回本率", dataIndex: "d114_recovery_rate", width: 150 },
  { title: "115日回本率", dataIndex: "d115_recovery_rate", width: 150 },
  { title: "116日回本率", dataIndex: "d116_recovery_rate", width: 150 },
  { title: "117日回本率", dataIndex: "d117_recovery_rate", width: 150 },
  { title: "118日回本率", dataIndex: "d118_recovery_rate", width: 150 },
  { title: "119日回本率", dataIndex: "d119_recovery_rate", width: 150 },
  { title: "120日回本率", dataIndex: "d120_recovery_rate", width: 150 },
];

export const TableColumnOfPutAdPlan = [
  {
    fixed: "left",
    title: "计划状态",
    dataIndex: "check",
    width: 80,
    slots: {
      customRender: "switch",
    },
  },
  {
    fixed: "left",
    title: "计划名称",
    dataIndex: "ad_name",
    slots: {
      customRender: "ad_name",
    },
    width: 230,
  },
];

export const ALLCloumnList = [
  {
    title: "计划名称(或ID)",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "计划状态",
    dataIndex: "status",
    width: 150,
  },
  {
    title: "计划预算（元）",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "出价（元）",
    dataIndex: "cpa_bid",
    width: 150,
  },
  {
    title: "计划ID",
    dataIndex: "ad_id",
    width: 150,
  },
  {
    title: "投放场景-竞价策略",
    dataIndex: "aim",
    width: 150,
  },
  {
    title: "投放范围",
    dataIndex: "delivery_platform",
    width: 150,
  },
  {
    title: "投放时间",
    dataIndex: "start_time",
    width: 150,
  },
  {
    title: "下载方式",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "下载链接",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "落地页链接",
    dataIndex: "external_url",
    width: 150,
  },
  {
    title: "应用下载详情页链接",
    dataIndex: "ad_name",
    width: 150,
    ellipsis: true,
  },
  {
    title: "转化目标",
    dataIndex: "campaign_name",
    width: 150,
  },
  {
    title: "深度转化出价（元）",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "深度转化目标",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "ROI系数",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "转换检测地址",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "投放设置",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "计划诊断",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "一键起量",
    dataIndex: "ad_name",
    width: 150,
  },
  {
    title: "建议",
    dataIndex: "ad_name",
    width: 150,
  },
];

export const MatchList = [
  {
    title: "uid",
    dataIndex: "uid",
    width: 100,
  },
  {
    title: "用户平台",
    dataIndex: "platform",
    width: 150,
  },
  {
    title: "站点ID",
    dataIndex: "channel_id",
    width: 100,
  },
  {
    title: "注册IP",
    dataIndex: "register_ip",
    width: 150,
  },
  {
    title: "注册时间",
    dataIndex: "register_time",
    width: 150,
  },
  {
    title: "计划ID",
    dataIndex: "ad_lid",
    width: 100,
  },
  {
    title: "计划平台",
    dataIndex: "back_platform",
    width: 150,
  },
  {
    title: "首次充值时间",
    dataIndex: "first_recharge_time",
    width: 150,
  },
  {
    title: "首次充值金额",
    dataIndex: "first_recharge_amount",
    width: 150,
  },
  {
    title: "充值总额",
    dataIndex: "recharge_total",
    width: 150,
  },

  {
    title: "注册上报",
    dataIndex: "report_register_num",
    width: 100,
    slots: {
      customRender: "report_register_num",
    },
  },
  {
    title: "付费上报",
    dataIndex: "report_recharge_num",
    width: 100,
    slots: {
      customRender: "report_recharge_num",
    },
  },
  {
    title: "次留上报",
    dataIndex: "report_sactive_num",
    width: 100,
  },
];

export const AdgroupCloumn: Array<colunm> = [
  {
    title: "广告组状态",
    dataIndex: "check",
    width: 100,
    slots: {
      customRender: "switch",
    },
    fixed: "left",
  },
  {
    title: "广告组名称",
    dataIndex: "campaign_name",
    width: 180,

    children: [
      {
        title: "合计",
        dataIndex: "campaign_name",
        width: 180,
        slots: {
          customRender: "adgroup",
        },
      },
    ],
  },
  {
    title: "所属账户",
    dataIndex: "advertiser_name",
    width: 140,
    slots: {
      customRender: "advertiser",
    },
  },
  {
    title: "组预算（元）",
    dataIndex: "budget",
    width: 100,
    slots: {
      customRender: "budget",
    },
  },
  {
    title: "消耗（元）",
    dataIndex: "cost",
    width: 100,
  },

  {
    title: "展示量",
    dataIndex: "show",
    width: 80,
  },
  {
    title: "点击量",
    dataIndex: "click",
    width: 80,
  },
  {
    title: "点击率（%）",
    dataIndex: "ctr",
    width: 80,
  },
  {
    title: "平均点击单价（元）",
    dataIndex: "avg_click_cost",
    width: 80,
  },
  {
    title: "平均千次展现费用（元）",
    dataIndex: "avg_show_cost",
    width: 80,
  },
  {
    title: "转化数",
    dataIndex: "convert",
    width: 80,
  },
  {
    title: "转化成本（元）",
    dataIndex: "convert_cost",
    width: 80,
  },
  {
    title: "转化率（%）",
    dataIndex: "convert_rate",
    width: 80,
  },
  {
    title: "注册用户数",
    dataIndex: "register_num",
    width: 80,
  },
  {
    title: "付费用户数",
    dataIndex: "paid_user_num",
    width: 80,
  },
  // {
  //   title: "充值金额",
  //   dataIndex: "paid_order_num",
  //   width: 80,
  // },
  {
    title: "付费用户成本（元）",
    dataIndex: "paid_user_cost",
    width: 80,
  },
  {
    title: "小额订单数",
    dataIndex: "bellow_thirty_paid_order_num",
    width: 80,
  },
  {
    title: "包年订单数",
    dataIndex: "year_paid_order_num",
    width: 80,
  },
  {
    title: "付费率（%）",
    dataIndex: "paid_user_rate",
    width: 80,
  },
  {
    title: "累计充值（元）",
    dataIndex: "paid_order_amount",
    width: 80,
  },
  {
    title: "小额充值（元）",
    dataIndex: "bellow_thirty_paid_order_amount",
    width: 80,
  },
  {
    title: "包年充值（元）",
    dataIndex: "year_paid_order_amount",
    width: 80,
  },
  {
    title: "累计回本率",
    dataIndex: "back_rate",
    width: 80,
  },
  {
    title: "无包年和小额的回本率（%）",
    dataIndex: "over_thirty_not_year_back_rate",
    width: 80,
  },
  // {
  //   title: "复充人数（小额)",
  //   dataIndex: "bellow_thirty_mult_paid_user_num",
  //   width: 80,
  // },
  // {
  //   title: "充值人数（小额)",
  //   dataIndex: "bellow_thirty_paid_user_num",
  //   width: 80,
  // },

  // {
  //   title: "复充人数（包年)",
  //   dataIndex: "year_mult_paid_user_num",
  //   width: 80,
  // },
  // {
  //   title: "充值人数（包年)",
  //   dataIndex: "year_paid_user_num",
  //   width: 80,
  // },
  // {
  //   title: "注册用户成本",
  //   dataIndex: "register_user_cost",
  //   width: 80,
  // },
  // {
  //   title: "充值金额（非小额非包年）",
  //   dataIndex: "over_thirty_not_year_paid_order_amount",
  //   width: 80,
  // },
  // {
  //   title: "回本率（非包年）",
  //   dataIndex: "not_year_back_rate",
  //   width: 80,
  // },

  // {
  //   title: "点赞",
  //   dataIndex: "like",
  //   width: 80,
  // },
  // {
  //   title: "播完率",
  //   dataIndex: "play_over_rate",
  //   width: 80,
  // },
  // {
  //   title: "激活数",
  //   dataIndex: "active",
  //   width: 80,
  // },
  // {
  //   title: "播放数",
  //   dataIndex: "total_play",
  //   width: 80,
  // },
  // {
  //   title: "播完数",
  //   dataIndex: "play_100_feed_break",
  //   width: 80,
  // },
  // {
  //   title: "注册数（头条）",
  //   dataIndex: "register",
  //   width: 80,
  // },
];

export const AdCoundCloumn: Array<colunm> = [
  {
    title: "账户信息",
    dataIndex: "campaign_name",
    width: 240,
    fixed: 'left',
    children: [
      {
        title: "合计",
        dataIndex: "campaign_name",
        width: 240,
        slots: {
          customRender: "info",
        },
      },
    ],
  },
  {
    title: "账户预算(元)",
    dataIndex: "firle",
    width: 140,
    slots: {
      customRender: "budget",
    },
  },
  {
    title: "账户余额（元）",
    dataIndex: "balance",
    width: 100,
  },
  // {
  //   title: "回传最小金额",
  //   dataIndex: "back_min_price",
  //   width: 130,
  //   slots: {
  //     customRender: "operte",
  //   },
  // },
  {
    title: "消耗（元）",
    dataIndex: "cost",
    width: 100,
  },

  {
    title: "展示量",
    dataIndex: "show",
    width: 80,
  },
  {
    title: "点击量",
    dataIndex: "click",
    width: 80,
  },
  {
    title: "点击率（%）",
    dataIndex: "ctr",
    width: 80,
  },
  {
    title: "平均点击单价（元）",
    dataIndex: "avg_click_cost",
    width: 80,
  },
  {
    title: "平均千次展现费用（元）",
    dataIndex: "avg_show_cost",
    width: 80,
  },
  {
    title: "转化数",
    dataIndex: "convert",
    width: 80,
  },
  {
    title: "转化成本（元）",
    dataIndex: "convert_cost",
    width: 80,
  },
  {
    title: "转化率（%）",
    dataIndex: "convert_rate",
    width: 80,
  },
  {
    title: "注册用户数",
    dataIndex: "register_num",
    width: 80,
  },
  {
    title: "付费用户数",
    dataIndex: "paid_user_num",
    width: 80,
  },
  // {
  //   title: "充值金额",
  //   dataIndex: "paid_order_num",
  //   width: 80,
  // },
  {
    title: "付费用户成本（元）",
    dataIndex: "paid_user_cost",
    width: 80,
  },
  {
    title: "小额订单数",
    dataIndex: "bellow_thirty_paid_order_num",
    width: 80,
  },
  {
    title: "包年订单数",
    dataIndex: "year_paid_order_num",
    width: 80,
  },
  {
    title: "付费率（%）",
    dataIndex: "paid_user_rate",
    width: 80,
  },
  {
    title: "累计充值（元）",
    dataIndex: "paid_order_amount",
    width: 80,
  },
  {
    title: "小额充值（元）",
    dataIndex: "bellow_thirty_paid_order_amount",
    width: 80,
  },
  {
    title: "包年充值（元）",
    dataIndex: "year_paid_order_amount",
    width: 80,
  },
  {
    title: "累计回本率（%）",
    dataIndex: "back_rate",
    width: 80,
  },
  {
    title: "无包年和小额的回本率（%）",
    dataIndex: "over_thirty_not_year_back_rate",
    width: 80,
  },
  // {
  //   title: "复充人数（小额)",
  //   dataIndex: "bellow_thirty_mult_paid_user_num",
  //   width: 80,
  // },
  // {
  //   title: "充值人数（小额)",
  //   dataIndex: "bellow_thirty_paid_user_num",
  //   width: 80,
  // },


  // {
  //   title: "复充人数（包年)",
  //   dataIndex: "year_mult_paid_user_num",
  //   width: 80,
  // },


  // {
  //   title: "充值人数（包年)",
  //   dataIndex: "year_paid_user_num",
  //   width: 80,
  // },
  // {
  //   title: "注册用户成本",
  //   dataIndex: "register_user_cost",
  //   width: 80,
  // },
  // {
  //   title: "充值金额（非小额非包年）",
  //   dataIndex: "over_thirty_not_year_paid_order_amount",
  //   width: 80,
  // },
  // {
  //   title: "回本率（非包年）",
  //   dataIndex: "not_year_back_rate",
  //   width: 80,
  // },

  // {
  //   title: "点赞",
  //   dataIndex: "like",
  //   width: 80,
  // },
  // {
  //   title: "播完率",
  //   dataIndex: "play_over_rate",
  //   width: 80,
  // },
  // {
  //   title: "激活数",
  //   dataIndex: "active",
  //   width: 80,
  // },
  // {
  //   title: "播放数",
  //   dataIndex: "total_play",
  //   width: 80,
  // },
  // {
  //   title: "播完数",
  //   dataIndex: "play_100_feed_break",
  //   width: 80,
  // },
  // {
  //   title: "注册数（头条）",
  //   dataIndex: "register",
  //   width: 80,
  // },
];

export const landingCloumn: Array<colunm> = [
  {
    title: "序号",
    dataIndex: "id",
    width: 100,
  },

  {
    title: "落地页名称",
    dataIndex: "title",
    width: 100,
  },
  {
    title: "简介",
    dataIndex: "name",
    width: 200,
    ellipsis: true,
  },
  {
    title: "公众号",
    dataIndex: "gzh_name",
    width: 100,
    slots: {
      customRender: "gzh",
    },
  },
  {
    title: "落地页渠道",
    dataIndex: "link_source",
    width: 130,
  },
  {
    title: "状态",
    dataIndex: "status_info",
    width: 100,
  },
  // {
  //   title: "公众号",
  //   dataIndex: "balance",
  //   width: 100,
  // },
  {
    title: "备注",
    dataIndex: "remark",
    width: 100,
  },
  {
    title: "创建日期",
    dataIndex: "created_at",
    width: 100,
  },
  {
    title: "操作",
    dataIndex: "",
    width: 160,
    slots: {
      customRender: "setting",
    },
  },
];

// 计划管理
export const PlanCloumn: Array<colunm> = [
  {
    title: "计划名称",
    dataIndex: "id",
    width: 200,
  },

  {
    title: "所属账户",
    dataIndex: "title",
    width: 200,
  },
  {
    title: "所属广告组",
    dataIndex: "name",
    width: 200,
    ellipsis: true,
  },
  {
    title: "状态",
    dataIndex: "gzh_name",
    width: 100,
    slots: {
      customRender: "gzh",
    },
  },
  {
    title: "状态原因",
    dataIndex: "name",
    width: 200,
    ellipsis: true,
  },
  {
    title: "创建时间",
    dataIndex: "name",
    width: 200,
  },
  {
    title: "操作",
    dataIndex: "",
    width: 160,
    slots: {
      customRender: "setting",
    },
  },
];

export const PlanTemplateCloumn: Array<colunm> = [
  {
    title: "模板名称",
    dataIndex: "name",
    width: 200,
    ellipsis: true,
  },
  {
    title: "创建时间",
    dataIndex: "name",
    width: 200,
  },
  {
    title: "操作",
    dataIndex: "",
    width: 160,
    slots: {
      customRender: "setting",
    },
  },
]
